/*************************************************
 **                                             **
 **   fpt.h                                     **
 **                                             **
 **          Copyright (C) 1990-1992 by         **
 **               SoftC, Ltd.                   **
 **               16820 3rd St NE               **
 **               Anoka, MN 55304               **
 **               (612) 434-6968                **
 **                                             **
 **             All rights reserved.            **
 *************************************************/



#ifndef __SOFTC_H__
#include "softc.h"
#endif



/**********
 *
 *  Type Definitions
 *
 **********/




typedef struct {  /* FoxPro memo file information packet */
  SC_FLAGS flags; /* miscellaneous flags */
  CHAR fname[80]; /* file name */
  INT lockt;      /* file lock/unlock flag */
} SC_FPTINFO;




#ifdef __ANSI_PROTOTYPES__
#ifdef __cplusplus
extern "C" {
#endif


/**********
 *
 *  FoxPro Memo File Manipulator Prototypes
 *
 **********/




INT PROTOS scdwclose(  INT );            /* file handle */

INT PROTOS scdwcreate( CHAR F_PTR,       /* filename */
		       INT );            /* number of bytes per memo block */

INT PROTOS scdwinfo(   INT,              /* file handle */
		       SC_FPTINFO F_PTR );/* file information and status */

INT PROTOS scdwhget(   INT );            /* file handle */

INT PROTOS scdwlock(   INT );            /* file handle */

INT PROTOS scdwopenx(  INT F_PTR,        /* file handle */
		       CHAR F_PTR,       /* filename */
		       INT );            /* open mode & characteristics */

INT PROTOS scdwpack(   INT,              /* data file handle */
		       INT F_PTR);       /* memo file handle */

INT PROTOS scdwrget(   INT,              /* file handle */
		       LONG,             /* record number */
		       CHAR F_PTR F_PTR);/* buffer for record number */

INT PROTOS scdwrput(   INT,              /* file handle */
		       LONG F_PTR,       /* record number */
		       CHAR F_PTR,       /* buffer for record data */
		       INT );            /* add/update switch */

INT PROTOS scdwunlock( INT );            /* file handle */

#ifdef __cplusplus
}
#endif
#endif


